"Improve visibility of the "test email configuration" link"

2012-12-07 08:31 - Florian S.

Status: Reopened Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Having an option to test the email server settings via redmine web interface would be great. Just a "send test mail" button with an

additional input field for an email address that should recieve a test mail would help.

History

#1 - 2012-12-07 09:39 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

There is already a "Send a test email" link at the bottom of the page which will send a test email to the logged admin user.

#2 - 2012-12-07 10:57 - Florian S.

Etienne Massip wrote:

There is already a "Send a test email" link at the bottom of the page which will send a test email to the logged admin user.

 Thanks for this hint, I think I was blind. Maybe I expected a button and did not see the link...

#3 - 2013-04-09 17:18 - Daniel Biddle

I wondered why there wasn't a test email feature, found people online mentioning it, looked for it on the page, didn't see it, found this issue and read

the comments, looked carefully at the bottom of the page and finally saw it.

It seems the combination of its understated design and its position in the lower right of the page – outside the F-shaped pattern – can make the link

almost invisible, even to people looking for it.

I suggest moving it to the left, like the way 'Preview' is next to 'Submit' when updating an issue.

#4 - 2013-04-09 17:23 - Florian S.

- Status changed from Closed to Reopened

We should change the title of this ticket to "Improve visibility of the "test email configuration" link"

Because I also think that the small improvement Daniel Biddle wrote could help many users I'm reopening this ticket.

Could someone rename this ticket and re-think if this small improvement is possible?

#5 - 2013-04-10 11:58 - Toshi MARUYAMA

- Subject changed from Add possibility to test email server settings to "Improve visibility of the "test email configuration" link"

#6 - 2013-04-10 11:59 - Toshi MARUYAMA

Florian S. wrote:

We should change the title of this ticket to "Improve visibility of the "test email configuration" link"

...

Could someone rename this ticket ...?

 Done.

2024-03-13 1/2

http://www.nngroup.com/articles/f-shaped-pattern-reading-web-content/


#7 - 2013-04-10 11:59 - Toshi MARUYAMA

- Resolution deleted (Invalid)

#8 - 2013-04-10 13:09 - Daniel Felix

I changed the view slightly.

I can't provide a patch currently (Tortoise just generate a buggy diff). The difference is slightly different. Just change order of testlink and save button

and change two CSS settings.

source:/trunk/app/views/settings/_notifications.html.erb

Change line 32 to 36 to this:

<%= submit_tag l(:button_save) %>

<div style="float:left;margin:5px 0 0 10px;">

<%= link_to l(:label_send_test_email), :controller => 'admin', :action => 'test_email' %>

</div>
